<?php
  
  $registry = $this->getRegistry();
$i18n = $registry->get('i18n');

$filter_html = new Yab_Filter_Html();
$filter_no_html = new Yab_Filter_NoHtml();
$form_errors = $form->getErrors();

// $elementrecueilli_id = $form->hasElement('id') ? $form->getElement('id')->getValue() : null ;

?>

<script>
    <?php
    $js_array = json_encode($precision_opt);
    echo "var opt_prod_precisions = ". $js_array . ";\n";
    ?>
    var del_nat_mat = [];       // les natures matières déjà identifié qui sont à supprimer
    var add_nat_mats = [];      // les natures matières à ajouter
    var list_nat_mat = [        // les éléments diponibles dans la liste autocomplete
    <?php foreach($naturematieres as $key => $nm){ ?>
        {
            id: <?php echo $nm->get('id') ; ?>,
            label: "<?php echo $nm->get('naturematiere') ; ?>"
        },
    <?php } ?>
    ];
    function supp_vignette(vignette){
        var index = add_nat_mats.indexOf(parseInt(vignette.attr("idnature")));
        if (index > -1) {
            add_nat_mats.splice(index, 1);
        }
        $('#option-nature-'+vignette.attr("idnature")).remove();
        vignette.remove();
    }
    function removeNatureAutocom(idnature){
        var index = 0;
        for(var n in list_nat_mat){
            if(list_nat_mat[n].id == idnature) {
                list_nat_mat.splice(index, 1);
                $("#autocomp-nat-mat").autocomplete("option","source",list_nat_mat);
                return index; // l'élément a été supprimé
            }
         index++;
        }
        return -1; // l'élément à supprimer n'est pas dans la liste
    }
    function addNatureAutocom(idnature,label){
        list_nat_mat.push({id: parseInt(idnature), label: label});
    }
    $(function(){
        $("#panel-caract-poterie").hide();
        $("#autocomp-nat-mat").focus(function (event) {
            console.log('focus - autocom');
            $("#autocomp-nat-mat").autocomplete({
                autoFocus : true,
                source: list_nat_mat,
                minLength: 1,
                appendTo: $('#div_resultat'),
                select: function( event, ui ) {
                    add_nat_mats.push(ui.item.id);
                    $("#panel-nature-matiere .panel-body").append("<div class='vignette' id='vignette-"+ui.item.id
                                                                    +"' idnature='"+ui.item.id+"'><span class='label-vignette'>"+ui.item.label
                                                                    +"</span><span class='del-vignette'>X</span></div>");
                    removeNatureAutocom(ui.item.id);
                    $("#vignette-"+ui.item.id).click(function(){
                        supp_vignette($(this))
                        addNatureAutocom($(this).attr('idnature'),$('.label-vignette',$(this)).text())
                    });
                    $('#autocomp-nat-mat').val("");
                    $("#naturematiere_principal").append("<option id='option-nature-"+ui.item.id+"'>"+ui.item.label+"</option>")
                    event.preventDefault();
                }
            });
        });
        $('.del-vignette').click(function(){
            supp_vignette($(this).parent())
            del_nat_mat.puch($(this).parent().attr('idnature'));
        })
        $("#classe_id").change(function(){
            if($(this).val() == '1993' )
                $("#panel-caract-poterie").show("Fold");
            else
                $("#panel-caract-poterie").hide("Fold");
        })
        $("#production_id").change(function(){
            var opts = ""
            var prod_id = parseInt($(this).val());
            for(var opt in opt_prod_precisions[prod_id]){
                opts += "<option value='"+opt_prod_precisions[prod_id][opt].id+"'>"+opt_prod_precisions[prod_id][opt].precision+"</option>";
            }
            $("#precisionproduction_id").html(opts);
        })

    });
</script>
<style>

    .arrow_fork_top{
        background-image:url('<?php echo $request->getBaseUrl(); ?>/images/arrow_fork_top.png');
        background-repeat: no-repeat;
        background-position: center bottom;
        background-size:100%;
        min-width: 80px;
    }
    .arrow_fork_middle{
        background-image:url('<?php echo $request->getBaseUrl(); ?>/images/arrow_fork_middle.png');
        background-repeat: no-repeat;
        background-position: center ;
        background-size:100%;
        min-width: 80px;
    }
    .arrow_fork_bottom{
        background-image:url('<?php echo $request->getBaseUrl(); ?>/images/arrow_fork_bottom.png');
        background-repeat: no-repeat;
        background-position: center top;
        background-size:100%;
        min-width: 80px;
    }
    .arrow_vertical_top{
        background-image:url('<?php echo $request->getBaseUrl(); ?>/images/arrow_vertical_top.png');
        background-repeat: no-repeat;
        background-position: center bottom;
        background-size:100%;
        min-width: 20px;
        min-height: 30px;
        height: 30px;
    }
    .arrow_vertical_middle{
        background-image:url('<?php echo $request->getBaseUrl(); ?>/images/arrow_vertical_middle.png');
        background-repeat: repeat-y;
        background-position: center ;
        background-size:100%;
        width: 20px;
    }
    .arrow_vertical_bottom{
        background-image:url('<?php echo $request->getBaseUrl(); ?>/images/arrow_vertical_bottom.png');
        background-repeat: no-repeat;
        background-position: center top;
        background-size:100%;
        min-width: 20px;
        min-height: 30px;
        height: 30px;
    }
    .td_border_bottom_dotted {
        border-bottom-style: dotted;
    }
    .td_border_top_dotted {
        border-top-style: dotted;
    }

    .panel-collapse{
        padding: 0% 10%;
    }

    .form-horizontal .control-label{
        text-align: left;
    }

    #autocomp-nat-mat{
        margin-right: 15px;
        width: 30%;
        display: inline-block;
    }

    .panel{
        padding: 0;
    }

    .panel-block{
        padding: 0 15px;
    }

    .panel-body .panel-block > label{
        padding-left: 0;
    }

    .vignette{
        background-color: #bbb;
        border-radius: 10px;
        padding-bottom: 3px;
        color: #eee;
        float: left;
        margin: 0 3px;
        padding: 2px 10px;
    }
    
    .del-vignette{
        margin-left: 10px;
        padding: 2px 4px;
        background-color: white;
        font-size: 10px;
        border-radius: 16px;
        color: black;
        cursor: pointer;
    }

    .form-group{
        padding-top: 0 !important;
        margin-bottom: 15px !important;
    }

    .form-group label{
        font-weight: bold;
        padding-left: 15px;
    }


</style>
<h2 class="page-header">D&eacute;tails &eacute;l&eacute;ments receuilli</h2>

<form method="post" action="" role="form" class="form-horizontal">
    <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
        <!-- Panel Indentification - Start -->
        <div class="panel panel panel-primary">
            <div class="panel-heading" role="tab" id="headingIdentification">
                <h4 class="panel-title">
                    <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseIdentification" aria-expanded="true" aria-controls="collapseIdentification">
                        Identification
                    </a>
                </h4>
            </div>
            <div id="collapseIdentification" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingIdentification">
                <div class="panel-body">
                    <div class="col-md-12">
                        <div
                                class="form-group field <?php echo $form->getElement('us_id')->get('type'); ?> <?php echo array_key_exists('us_id', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('us_id')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('us_id')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('us_id')->get('label')).' '.(($form->getElement('us_id')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('us_id')->getHtml(); ?>
                        </div>

                        <div
                                class="form-group field <?php echo $form->getElement('datedecouverte')->get('type'); ?> <?php echo array_key_exists('datedecouverte', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('datedecouverte')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('datedecouverte')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('datedecouverte')->get('label')).' '.(($form->getElement('datedecouverte')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('datedecouverte')->getHtml(); ?>
                        </div>

                        <div
                                class="form-group field <?php echo $form->getElement('elementisole')->get('type'); ?> <?php echo array_key_exists('elementisole', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('elementisole')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('elementisole')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('elementisole')->get('label')).' '.(($form->getElement('elementisole')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('elementisole')->getHtml(); ?>
                        </div>

                        <div
                                class="form-group field <?php echo $form->getElement('numero')->get('type'); ?> <?php echo array_key_exists('numero', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('numero')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('numero')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('numero')->get('label')).' '.(($form->getElement('numero')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('numero')->getHtml(); ?>
                        </div>

                        <div
                                class="form-group field <?php echo $form->getElement('description')->get('type'); ?> <?php echo array_key_exists('description', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('description')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('description')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('description')->get('label')).' '.(($form->getElement('description')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('description')->getHtml(); ?>
                        </div>

                        <div
                                class="form-group field <?php echo $form->getElement('intervenant_id')->get('type'); ?> <?php echo array_key_exists('intervenant_id', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('intervenant_id')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('intervenant_id')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('intervenant_id')->get('label')).' '.(($form->getElement('intervenant_id')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('intervenant_id')->getHtml(); ?>
                        </div>



                    </div>

                    <div class="col-md-6">

                    </div>
                </div>

            </div>
        </div>
        <!-- Panel Indentification - End -->

        <!-- Panel Caracteristics - Start -->
        <div class="panel panel-primary">
            <div class="panel-heading" role="tab" id="headingCaracteristics">
                <h4 class="panel-title">
                    <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseCaracteristics" aria-expanded="false" aria-controls="collapseThree">
                        Caract&egrave;ristiques
                    </a>
                </h4>
            </div>
            <div id="collapseCaracteristics" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingCaracteristics">
                <div class="panel-body">
                    <div class="col-md-12">
                        <div
                                class="form-group field <?php echo $form->getElement('etat_id')->get('type'); ?> <?php echo array_key_exists('etat_id', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('etat_id')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('etat_id')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('etat_id')->get('label')).' '.(($form->getElement('etat_id')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('etat_id')->getHtml(); ?>
                        </div>
                        <div
                                class="form-group field <?php echo $form->getElement('statut_id')->get('type'); ?> <?php echo array_key_exists('statut_id', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('statut_id')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('statut_id')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('statut_id')->get('label')).' '.(($form->getElement('statut_id')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('statut_id')->getHtml(); ?>
                        </div>
                        <div
                                class="form-group field <?php echo $form->getElement('classe_id')->get('type'); ?> <?php echo array_key_exists('classe_id', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('classe_id')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('classe_id')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('classe_id')->get('label')).' '.(($form->getElement('classe_id')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('classe_id')->getHtml(); ?>
                        </div>
                        <div
                                class="field form-group panel-block">
                            <label>Nature et matière</label>
                            <div id="panel-nature-matiere" class="panel panel-default col-md-12">

                                <div class="panel-heading">
                                    <input type="text" id="autocomp-nat-mat" class="form-control text" />
                                    <span class="glyphicon glyphicon-plus-sign" style="font-size: 24px;"></span>
                                </div>
                                <div class="panel-body">

                                </div>
                                <?php echo $form->getElement('naturematiere_list')->getHtml(); ?>
                            </div>
                        </div>
                        <div
                                class="form-group field <?php echo $form->getElement('naturematiere_principal')->get('type'); ?> <?php echo array_key_exists('naturematiere_principal', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('naturematiere_principal')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('naturematiere_principal')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('naturematiere_principal')->get('label')).' '.(($form->getElement('naturematiere_principal')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('naturematiere_principal')->getHtml(); ?>
                        </div>
                        <div
                                class="form-group field <?php echo $form->getElement('fonction_id')->get('type'); ?> <?php echo array_key_exists('fonction_id', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('fonction_id')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('fonction_id')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('fonction_id')->get('label')).' '.(($form->getElement('fonction_id')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('fonction_id')->getHtml(); ?>
                        </div>
                        <div
                                class="form-group field <?php echo $form->getElement('precisionfonction')->get('type'); ?> <?php echo array_key_exists('precisionfonction', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('precisionfonction')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('precisionfonction')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('precisionfonction')->get('label')).' '.(($form->getElement('precisionfonction')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('precisionfonction')->getHtml(); ?>
                        </div>
                        <div
                                class="form-group field <?php echo $form->getElement('quantite')->get('type'); ?> <?php echo array_key_exists('quantite', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('quantite')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('quantite')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('quantite')->get('label')).' '.(($form->getElement('quantite')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('quantite')->getHtml(); ?>
                        </div>
                        <div
                                class="form-group field <?php echo $form->getElement('poids')->get('type'); ?> <?php echo array_key_exists('poids', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('poids')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('poids')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('poids')->get('label')).' '.(($form->getElement('poids')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('poids')->getHtml(); ?>
                        </div>
                        <div
                                class="form-group field <?php echo $form->getElement('longueur')->get('type'); ?> <?php echo array_key_exists('longueur', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('longueur')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('longueur')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('longueur')->get('label')).' '.(($form->getElement('longueur')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('longueur')->getHtml(); ?>
                        </div>
                        <div
                                class="form-group field <?php echo $form->getElement('largeur')->get('type'); ?> <?php echo array_key_exists('largeur', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('largeur')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('largeur')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('largeur')->get('label')).' '.(($form->getElement('largeur')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('largeur')->getHtml(); ?>
                        </div>
                        <div
                                class="form-group field <?php echo $form->getElement('hauteur')->get('type'); ?> <?php echo array_key_exists('hauteur', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('hauteur')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('hauteur')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('hauteur')->get('label')).' '.(($form->getElement('hauteur')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('hauteur')->getHtml(); ?>
                        </div>
                        <div
                                class="form-group field <?php echo $form->getElement('diametre')->get('type'); ?> <?php echo array_key_exists('diametre', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('diametre')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('diametre')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('diametre')->get('label')).' '.(($form->getElement('diametre')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('diametre')->getHtml(); ?>
                        </div>
                        <div
                                class="form-group field <?php echo $form->getElement('incertitude')->get('type'); ?> <?php echo array_key_exists('incertitude', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('incertitude')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('incertitude')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('incertitude')->get('label')).' '.(($form->getElement('incertitude')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('incertitude')->getHtml(); ?>
                        </div>
                        <div
                                class="form-group field <?php echo $form->getElement('intact')->get('type'); ?> <?php echo array_key_exists('intact', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('intact')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('intact')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('intact')->get('label')).' '.(($form->getElement('intact')->get('needed')) ? '*' : ''); ?>
                            </label>
                                <?php echo $form->getElement('intact')->getHtml(); ?>
                        </div>
                        <div class="field form-group panel-block">
                            <div id="panel-caract-poterie" class="panel panel-default col-md-12">
                                <div class="panel-heading"><h4 class="panel-title">Caract&egrave;ristiques poterie</h4></div>
                                <div class="panel-body">
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('caracterepate_id')->get('type'); ?> <?php echo array_key_exists('caracterepate_id', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('caracterepate_id')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('caracterepate_id')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('caracterepate_id')->get('label')).' '.(($form_poterie->getElement('caracterepate_id')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('caracterepate_id')->getHtml(); ?>
                                    </div>
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('production_id')->get('type'); ?> <?php echo array_key_exists('production_id', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('production_id')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('production_id')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('production_id')->get('label')).' '.(($form_poterie->getElement('production_id')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('production_id')->getHtml(); ?>
                                    </div>
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('precisionproduction_id')->get('type'); ?> <?php echo array_key_exists('precisionproduction_id', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('precisionproduction_id')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('precisionproduction_id')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('precisionproduction_id')->get('label')).' '.(($form_poterie->getElement('precisionproduction_id')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('precisionproduction_id')->getHtml(); ?>
                                    </div>
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('forme_id')->get('type'); ?> <?php echo array_key_exists('forme_id', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('forme_id')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('forme_id')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('forme_id')->get('label')).' '.(($form_poterie->getElement('forme_id')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('forme_id')->getHtml(); ?>
                                    </div>
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('decor')->get('type'); ?> <?php echo array_key_exists('decor', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('decor')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('decor')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('decor')->get('label')).' '.(($form_poterie->getElement('decor')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('decor')->getHtml(); ?>
                                    </div>
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('traceusage')->get('type'); ?> <?php echo array_key_exists('traceusage', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('traceusage')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('traceusage')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('traceusage')->get('label')).' '.(($form_poterie->getElement('traceusage')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('traceusage')->getHtml(); ?>
                                    </div>
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('proportionconserve')->get('type'); ?> <?php echo array_key_exists('proportionconserve', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('proportionconserve')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('proportionconserve')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('proportionconserve')->get('label')).' '.(($form_poterie->getElement('proportionconserve')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('proportionconserve')->getHtml(); ?>
                                    </div>
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('classification_id')->get('type'); ?> <?php echo array_key_exists('classification_id', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('classification_id')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('classification_id')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('classification_id')->get('label')).' '.(($form_poterie->getElement('classification_id')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('classification_id')->getHtml(); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Panel Caracteristics - End -->

        <!-- Panel Datations - Start -->
        <div class="panel panel-primary">
            <div class="panel-heading" role="tab" id="headingCaracteristics">
                <h4 class="panel-title">
                    <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseDatations" aria-expanded="false" aria-controls="collapseThree">
                        Datations
                    </a>
                </h4>
            </div>
            <div id="collapseDatations" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingDatations">
                <div class="panel-body">
                    <div class="col-md-6">
                        <div id="Datations-certaine" class="panel panel-warning">
                            <div class="panel-heading"><h4 class="panel-title">Datations Certaines</h4></div>
                            <div class="panel-body bg-warning">
                                <table width="100%" cellpadding="0" cellspacing="0" border="0">

                                    <tr>
                                        <td class="arrow_vertical_top">&nbsp;</td>
                                        <td colspan="2" style="font-size: 20px; text-align: right;">
                                            <span class="label label-primary"><?php echo $form->getElement('datationdebreal_certain')->get('label'); ?></span>
                                        </td>
                                        <td><?php echo $form->getElement('datationdebreal_certain')->getHtml(); ?></td>
                                    </tr>
                                    <tr>
                                        <td class="arrow_vertical_middle"> </td>
                                        <td style="height:40px;"></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td class="arrow_vertical_bottom">&nbsp;</td>
                                        <td colspan="2" style="font-size: 20px; text-align: right;">
                                            <span class="label label-primary"><?php echo $form->getElement('datationfinreal_certain')->get('label'); ?></span>
                                        </td>
                                        <td><?php echo $form->getElement('datationdebreal_certain')->getHtml(); ?></td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div id="Datations-certaine" class="panel panel-info">
                            <div class="panel-heading"><h4 class="panel-title">Datations Estim&#233;es</h4></div>
                            <div class="panel-body bg-info">
                                <table width="100%" cellpadding="0" cellspacing="0" border="0">
                                    <tr>
                                        <td class="arrow_vertical_top">&nbsp;</td>
                                        <td colspan="2" style="font-size: 20px; text-align: right;">
                                            <span class="label label-primary"><?php echo $form->getElement('datationdebreal_estim')->get('label'); ?></span>
                                        </td>
                                        <td><?php echo $form->getElement('datationdebreal_certain')->getHtml(); ?></td>
                                    </tr>

                                    <tr>
                                        <td class="arrow_vertical_middle">&nbsp;</td>
                                        <td style="height:40px;"></td>
                                        <td></td>
                                        <td></td>
                                    </tr>

                                    <tr>
                                        <td class="arrow_vertical_bottom">&nbsp;</td>
                                        <td colspan="2" style="font-size: 20px; text-align: right;">
                                            <span class="label label-primary"><?php echo $form->getElement('datationfinreal_estim')->get('label'); ?></span>
                                        </td>
                                        <td><?php echo $form->getElement('datationdebreal_certain')->getHtml(); ?></td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Panel Datations - End -->

        <!-- Panel Rangement - Start -->
        <div class="panel panel-primary">
            <div class="panel-heading" role="tab" id="headingCaracteristics">
                <h4 class="panel-title">
                    <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseRangement" aria-expanded="false" aria-controls="collapseThree">
                        Rangement
                    </a>
                </h4>
            </div>
            <div id="collapseRangement" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingRangement">
                <div class="panel-body">
                    <div
                            class="form-group field <?php echo $form->getElement('emplacement_id')->get('type'); ?> <?php echo array_key_exists('emplacement_id', $form_errors) ? ' error' : ''; ?>"
                            id="F<?php echo $form->getElement('emplacement_id')->get('id'); ?>">
                        <label
                                class="col-md-3 control-label"
                                for="<?php echo $form->getElement('emplacement_id')->get('id'); ?>">
                            <?php echo $filter_no_html->filter($form->getElement('emplacement_id')->get('label')).' '.(($form->getElement('emplacement_id')->get('needed')) ? '*' : ''); ?>
                        </label>
                        <div class="col-md-9">
                            <?php echo $form->getElement('emplacement_id')->getHtml(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Panel Rangement - End -->

        <!-- Panel Asssocier - Start -->
        <div class="panel panel-primary">
            <div class="panel-heading" role="tab" id="headingAssocier">
                <h4 class="panel-title">
                    <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseAssocier" aria-expanded="false" aria-controls="collapseThree">
                        Associer
                    </a>
                </h4>
            </div>
            <div id="collapseAssocier" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingAssocier">
                <div class="panel-body">
                    <div class="col-md-12">
                        <div id="Relations-anterieures" class="panel panel-default">
                            <div class="panel-heading"><h4 class="panel-title">US Ant&eacute;rieures</h4></div>
                            <div class="panel-body"> </div>
                            <div class="panel-footer">
                                <a href="#" onclick="addSuperpositionUs('<?php echo $us_id ; ?>',null)">
                                    <span class="glyphicon glyphicon-plus-sign" style="font-size: 24px;"></span>
                                    Ajouter un relation
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Panel Associer - End -->
    </div>

    <div class="button">
        <a href="<?php echo $this->getRequest('Index', 'index'); ?>" class="button btn btn-default">Retour</a>
    </div>
    </div>
</form>
<?php
  /**
   * Indispensable pour afficher le Layout, desactivé pour les appels des differentes actions
   */
  $this->getLayout()->setEnabled(true);
?>
